Bug 495282 - Review Request: python-pyrad - Python RADIUS client
Review Request: python-pyrad - Python RADIUS client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-11 02:05 EDT by Peter Lemenkov
Modified: 2015-03-28 14:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-pyrad-2.0-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 20:54:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
susi.lehtola: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2009-04-11 02:05:38 EDT
Spec URL: http://peter.fedorapeople.org/python-pyrad.spec
SRPM URL: http://peter.fedorapeople.org/python-pyrad-1.1-1.fc10.src.rpm
Description: This is an implementation of a RADIUS client as described in RFC2865.
It takes care of all the details like building RADIUS packets, sending
them and decoding responses.
Comment 1 Peter Lemenkov 2009-04-11 02:12:51 EDT
Koji scratchbuild for EL-5

http://koji.fedoraproject.org/koji/taskinfo?taskID=1290587
Comment 2 Susi Lehtola 2009-04-11 04:02:36 EDT
- Do you really need
Provides:       %{realname} = %{version}-%{release}
I think you should use either python-pyrad or pyrad as the name of the package, not use both..

- Please change
%{python_sitelib}/*
in the files section to
%{python_sitelib}/%{realname}/
%{python_sitelib}/%{realname}-%{version}-*.info



**

rpmlint output:
python-pyrad.src: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 5)
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. ~OK
- The source code contains no license headers. Please contact upstream to add them.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK 
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSFIX
- Add PKG-INFO to %doc.

MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 3 Susi Lehtola 2009-04-11 04:10:32 EDT
- Fix the rpmlint warning and remove the hash commented lines.

and

- Either remove the Provides line or convince me why it's needed.

After this I'll approve the package.
Comment 4 Susi Lehtola 2009-04-11 04:17:47 EDT
(In reply to comment #2)
> - Please change
> %{python_sitelib}/*
> in the files section to
> %{python_sitelib}/%{realname}/
> %{python_sitelib}/%{realname}-%{version}-*.info

Whoops, should be
%{python_sitelib}/%{realname}-%{version}-*.egg-info
Comment 5 Peter Lemenkov 2009-04-11 05:54:41 EDT
(In reply to comment #3)
> - Fix the rpmlint warning and remove the hash commented lines.

Done.

> and
> 
> - Either remove the Provides line or convince me why it's needed.

I removed "Provides".

I didn't add PKG-INFO to %doc because it just duplicates the contents of README.txt and CHANGES.txt but in less readable form.

Also I added the only missing "Require".

http://peter.fedorapeople.org/python-pyrad.spec
http://peter.fedorapeople.org/python-pyrad-1.1-2.fc10.src.rpm
Comment 6 Susi Lehtola 2009-04-11 06:02:28 EDT
- You can remove Requires: python, since it is redundant (it's automatically picked up by rpm and also a requirement of python-twisted-core).

You can do this upon import to cvs. The package has been

APPROVED
Comment 7 Peter Lemenkov 2009-04-11 06:11:29 EDT
Thanks!

New Package CVS Request
=======================
Package Name: python-pyrad
Short Description: Python RADIUS client
Owners: peter
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:
Comment 8 Kevin Fenzi 2009-04-12 14:32:36 EDT
cvs done.
Comment 9 Fedora Update System 2009-04-13 01:13:35 EDT
python-pyrad-1.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-pyrad-1.1-2.fc9
Comment 10 Fedora Update System 2009-04-13 01:13:40 EDT
python-pyrad-1.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-pyrad-1.1-2.fc10
Comment 11 Fedora Update System 2009-04-13 15:31:05 EDT
python-pyrad-1.1-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update python-pyrad'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3503
Comment 12 Fedora Update System 2009-04-13 15:46:26 EDT
python-pyrad-1.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-pyrad'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3618
Comment 13 Fedora Update System 2009-04-21 20:54:07 EDT
python-pyrad-1.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-04-21 21:02:50 EDT
python-pyrad-1.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Peter Lemenkov 2015-03-09 03:14:37 EDT
Package Change Request
======================
Package Name: python-pyrad
New Branches: epel7
Comment 16 Jon Ciesla 2015-03-09 09:24:07 EDT
Owner not specified.
Comment 17 Peter Lemenkov 2015-03-09 09:35:59 EDT
(In reply to Jon Ciesla from comment #16)
> Owner not specified.

Sorry!

Package Change Request
======================
Package Name: python-pyrad
New Branches: epel7
Owners: peter
Comment 18 Jon Ciesla 2015-03-09 09:59:54 EDT
Git done (by process-git-requests).
Comment 19 Fedora Update System 2015-03-09 11:02:08 EDT
python-pyrad-2.0-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-pyrad-2.0-4.el7
Comment 20 Fedora Update System 2015-03-28 14:38:35 EDT
python-pyrad-2.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.